import java.rmi.RemoteException;
import java.util.Hashtable;
import javax.naming.Context;
import javax.naming.InitialContext;
import javax.rmi.PortableRemoteObject;

public class EchoClient {


	public static void main(String []args){

		try{
	
			Hashtable  env = new Hashtable();
			env.put(Context.PROVIDER_URL , "t3://127.0.0.1:7001" );
			env.put(Context.INITIAL_CONTEXT_FACTORY , "weblogic.jndi.WLInitialContextFactory" );


			Context  ctx  = new InitialContext(env);
			Object objRef  =  ctx.lookup("RefEchoEJB2");

			RefEchoHome home  = (RefEchoHome)PortableRemoteObject.narrow( objRef , RefEchoHome.class );

			RefEcho  echoRef  = home.create();

			System.out.println(">>>EchoClient.main(String []args) : EJB ȣ" + echoRef.callSayEcho("") );
		}catch( Exception e){
			e.printStackTrace();
		}

	}// end main()

}// end EchoClienty
