import javax.ejb.SessionBean;
import javax.naming.Context;
import javax.naming.InitialContext;
import javax.ejb.SessionContext;
import javax.rmi.PortableRemoteObject;

public class RefEchoEJB  implements  SessionBean{

	private String name;

	public RefEchoEJB(){

		System.out.println(">>RefEchoEJB.RefEchoEJB()");
	}
	public String callSayEcho(String str){

		String result = null;
		System.out.println(">>RefEchoEJB.callSayEcho(String str)" );

		try{

			Context ctx = new InitialContext();
			EchoLocalHome home = (EchoLocalHome)ctx.lookup("java:comp/env/EchoServant");
			EchoLocal echoRef  =  home.create();

			result  =  echoRef.sayEcho(str);
		} catch(Exception e){
			e.printStackTrace();
		}
		return  result;
	} // end callSayEcho()

	public void ejbCreate(){

		System.out.println(">>RefEchoEJB.ejbCreate()");

	}// end ejbCreate()
	
	public void ejbRemove(){
	System.out.println(">>RefEchoEJB.ejbRemove()");


	}// end ejbRemove()

	public void ejbPassivate(){

		System.out.println(">>RefEchoEJB.ejbPassivate");
	}// end ejbPassivate()

	public void ejbActivate(){
		System.out.println(">>RefEchoEJB.ejbActivate()");

	}// end ejbActivate()

	public void setSessionContext(SessionContext sc){
		System.out.println(">>RefEchoEJB.setSessionContext()");

	}// end setSessionContext()







}// end RefEchoEJB